microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Path parameters
name
string
required
The name of the memory store.
memory_id
string
required
The ID of the memory item to delete.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/json
object
enum
required
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
required
The unique ID of the deleted memory item.
deleted
boolean
required
Whether the memory item was successfully deleted.
Request
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json